Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354260 - quota : rectify quota-deem-statfs default value in gluster v set help command
Summary: quota : rectify quota-deem-statfs default value in gluster v set help command
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: quota
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: RHGS 3.2.0
Assignee: Raghavendra G
QA Contact: Anil Shah
URL:
Whiteboard:
Depends On: 1345846
Blocks: 1346134 1346184 1351522
TreeView+ depends on / blocked
 
Reported: 2016-07-11 05:21 UTC by Manikandan
Modified: 2017-03-23 05:39 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1345846
Environment:
Last Closed: 2017-03-23 05:39:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Manikandan 2016-07-11 05:21:58 UTC
+++ This bug was initially created as a clone of Bug #1345846 +++

Description of problem:
quota-deem-statfs volume option is on by default. But the volume set option shows off as default value.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. gluster v set help | grep quota


Actual results:
Option: features.quota-deem-statfs
Description: If set to on, it takes quota limits intoconsideration while estimating fs size. (df command) (Default is off).


Expected results:
Option: features.quota-deem-statfs
Description: If set to on, it takes quota limits intoconsideration while estimating fs size. (df command) (Default is on).



Additional info:

--- Additional comment from Vijay Bellur on 2016-06-13 06:16:53 EDT ---

REVIEW: http://review.gluster.org/14708 (quota : rectify quota-deem-statfs default settings) posted (#2) for review on master by Manikandan Selvaganesh (mselvaga@redhat.com)

--- Additional comment from Vijay Bellur on 2016-06-14 01:51:33 EDT ---

COMMIT: http://review.gluster.org/14708 committed in master by Raghavendra G (rgowdapp@redhat.com) 
------
commit c158742fb52ae1f6d3576c64caf42b67d784a3e3
Author: Manikandan Selvaganesh <mselvaga@redhat.com>
Date:   Mon Jun 13 15:28:41 2016 +0530

    quota : rectify quota-deem-statfs default settings
    
    Change-Id: I75c47c4a0f0eb898b5e32efe7f0a6a558d7f8007
    BUG: 1345846
    Signed-off-by: Manikandan Selvaganesh <mselvaga@redhat.com>
    Reviewed-on: http://review.gluster.org/14708
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>

Comment 2 Manikandan 2016-08-02 10:11:54 UTC
Upstream patch:
master: http://review.gluster.org/#/c/14708/
3.8: http://review.gluster.org/#/c/14726/

Comment 4 Atin Mukherjee 2016-09-17 13:16:35 UTC
Upstream mainline : http://review.gluster.org/14708
Upstream 3.8 : http://review.gluster.org/14726

And the fix is available in rhgs-3.2.0 as part of rebase to GlusterFS 3.8.4.

Comment 9 Anil Shah 2016-11-03 05:58:58 UTC
[root@rhs-client46 ~]# gluster v set help | grep quota
Option: features.quota-deem-statfs
Description: If set to on, it takes quota limits into consideration while estimating fs size. (df command) (Default is on).

Bug verified on build glusterfs-3.8.4-3.el7rhgs.x86_64

Comment 11 errata-xmlrpc 2017-03-23 05:39:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.